### Enumeration

# Clutter PreeditStyleHint

#### Declaration

    enum Clutter.PreeditStyleHint

#### Description

No description available.

#### Members

`CLUTTER_PREEDIT_STYLE_NONE`

  No description available.

  - Value: `0`
  - Available since: 18
`CLUTTER_PREEDIT_STYLE_WHOLE`

  No description available.

  - Value: `1`
  - Available since: 18
`CLUTTER_PREEDIT_STYLE_SELECTION`

  No description available.

  - Value: `2`
  - Available since: 18
`CLUTTER_PREEDIT_STYLE_PREDICTION`

  No description available.

  - Value: `3`
  - Available since: 18
`CLUTTER_PREEDIT_STYLE_PREFIX`

  No description available.

  - Value: `4`
  - Available since: 18
`CLUTTER_PREEDIT_STYLE_SUFFIX`

  No description available.

  - Value: `5`
  - Available since: 18
`CLUTTER_PREEDIT_STYLE_SPELLING_ERROR`

  No description available.

  - Value: `6`
  - Available since: 18
`CLUTTER_PREEDIT_STYLE_COMPOSE_ERROR`

  No description available.

  - Value: `7`
  - Available since: 18